summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 2cc3167)
raw | patch | inline | side by side (parent: 2cc3167)
author | Nicolas Pitre <nico@cam.org> | |
Mon, 23 Apr 2007 17:17:19 +0000 (13:17 -0400) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 24 Apr 2007 04:39:28 +0000 (21:39 -0700) |
It is nice to see what is happening when checking out large amount of
files, either with git-checkout or git-reset. The new progress code
already decides what is a "significant amount" and displays progress
only in that case..
Signed-off-by: Nicolas Pitre <nico@cam.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
files, either with git-checkout or git-reset. The new progress code
already decides what is a "significant amount" and displays progress
only in that case..
Signed-off-by: Nicolas Pitre <nico@cam.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-checkout.sh | patch | blob | history | |
git-reset.sh | patch | blob | history |
diff --git a/git-checkout.sh b/git-checkout.sh
index deb0a9a3c733ed889158d05b7cae4d174917553d..ed7c2c5f6aab338c844329e3ae3d9c7ce003680f 100755 (executable)
--- a/git-checkout.sh
+++ b/git-checkout.sh
newbranch_log=
merge=
quiet=
+v=-v
LF='
'
while [ "$#" != "0" ]; do
;;
"-q")
quiet=1
+ v=
;;
--)
break
if [ "$force" ]
then
- git-read-tree --reset -u $new
+ git-read-tree $v --reset -u $new
else
git-update-index --refresh >/dev/null
merge_error=$(git-read-tree -m -u --exclude-per-directory=.gitignore $old $new 2>&1) || (
# Match the index to the working tree, and do a three-way.
git diff-files --name-only | git update-index --remove --stdin &&
work=`git write-tree` &&
- git read-tree --reset -u $new || exit
+ git read-tree $v --reset -u $new || exit
eval GITHEAD_$new='${new_name:-${branch:-$new}}' &&
eval GITHEAD_$work=local &&
# this is not a real merge before committing, but just carrying
# the working tree changes along.
unmerged=`git ls-files -u`
- git read-tree --reset $new
+ git read-tree $v --reset $new
case "$unmerged" in
'') ;;
*)
diff --git a/git-reset.sh b/git-reset.sh
index fee6d98d9cba708828c36a2d2a29dbec8662c36b..a172d7ce25b40f192b0036d29a8a60e62649159c 100755 (executable)
--- a/git-reset.sh
+++ b/git-reset.sh
die "Cannot do a soft reset in the middle of a merge."
fi
else
- git-read-tree --reset $update "$rev" || exit
+ git-read-tree -v --reset $update "$rev" || exit
fi
# Any resets update HEAD to the head being switched to.